<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_register_block_design_styles_code() {

/* コードブロックでコピーを起動しない */
//ブロックオプション設定で「コピー機能を停止」を有効にした時のみ表示
if(isset( GetOP05_blockoption()['disable-spec-codeblock-copy-button'] ) && GetOP05_blockoption()['disable-spec-codeblock-copy-button'] == 1 ){
	register_block_style('core/code', array(
	'name' =>  'no-copy',
	'label' => __( 'Stop Copy Function','hima-art-utility'),
	'description' => __( 'Stop Copy Function','hima-art-utility'),
  ));
}

/* コードブロックの幅 80% */
	register_block_style('core/code', array(
	'name' =>  'code-80',
	'label' => __( 'Width 80%','hima-art-utility'),
  ));

/* コードブロックの幅 50% */
	register_block_style('core/code', array(
	'name' =>  'code-50',
	'label' => __( 'Width 50%','hima-art-utility'),
  ));

/*  */
/*
	register_block_style('core/list', array(
	'name' =>  '',
	'label' => __( '','hima-art-utility'),
  ));
*/
}
//add_action('init','haup_register_block_design_styles_code');